Channel Success Rate API

In order to know the healthiness of payment channels, this API allows system-wide or
merchant-only successful rate (OK rate) of a channel in real time for frequently used payment
channels. Merchants can always check the latest 1 hour system-wide OK rate of the channel
(card payment and internet banking) and a few window sizes, i.e. the latest 1, 3, 6, and 12 hours
for merchant-only OK rate for all channels, including Razer Cash. Keep in mind that Razer Cash
is not a real-time payment channel and sampling is based on payment request time and not the
time that payment is made.

This API gives a worst case scenario result, please DO NOT approach the PG support team if
your number of transactions of a specific payment channel is less than 30 or if there are
multiple failure attempts from the same buyer. Try to optimize your OK rate (success rate or SR)
if yours are far below the system-wide level. Frequent query on merchant-only OK rate might
slow down your payment processing as well.

Prompt alert or warning instead of turning off the channel at 0% or low system-wide OK rate is
always a best practice.

Method : GET

Variable / ParameterType Format / Max LengthDescription / Example
domainalphanumeric, 32 charsMerchant ID in PG system.
reqTimeYYYYMMDDHHmmssRequest date & time, e.g. 20161202153423
reqTypeGlobal, MerchantGlobal: system-wide OK rate. Merchant: merchant-only OK rate
skey32 chars hexadecimal stringFor merchant access verification purpose
duration1, 3, 6, 12 (for reqType=merchant only)Latest sampling window size in HOUR for merchant-only request. If the total sampling number is less than 30, it has less reference value due to the low statistical significance and n/a will be given

Response (JSON format)

Variable / ParameterType Format / Max LengthDescription / Example
StatTimeYYYYMMDDHHmmssStatus date & time, e.g. 20161202153435
OK-rate"Channel 1" : OK_rate1, "Channel 2" : OK_rate2, ...

Channel name with successful rate measure at the StatTime. Please refer to "Direct Server API" or "Seamless Integration" for channel name.

Example: "credit": 75, "maybank2u": 70, "cimbclicks": 65, "fpx": 56, "hlb": 60, "rhb": 52, ... "fpx_pbb": 45, "fpx_bimb": 80,

where the OK rate is an integer range from 0-100. Channel might be added/removed without prior notice.

Formula of skey

skey = md5( {domain}{secret_key}{reqTime}{reqType} )
Query Params
string
required

Merchant ID in PG system.

date-time
required

Request date & time, e.g. 20161202153423

string
required

Global: system-wide OK rate Merchant: merchant only OK rate

string
required

For merchant access verification purpose

number
required

Latest sampling window size in HOUR for merchant-only request. If the total sampling number is less than 30, it has less reference value due to the low statistical significance and n/a will be given

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json